summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
Diffstat (limited to 'development')
-rw-r--r--development/vic/README16
-rw-r--r--development/vic/vic-0.08.patch8
-rw-r--r--development/vic/vic.SlackBuild42
-rw-r--r--development/vic/vic.info10
4 files changed, 30 insertions, 46 deletions
diff --git a/development/vic/README b/development/vic/README
index 5b55516a21..294ba67830 100644
--- a/development/vic/README
+++ b/development/vic/README
@@ -1,21 +1,13 @@
-Edit a file with RCS
-
-This archive contains vic which is a simple wrapper around the editor of your
-choice to first check the file out of RCS, edit the file, and then checks the
-file back into RCS.
+vic is a simple wrapper around the editor of your choice to first check a
+file out of RCS, edit the file, and then check the file back into RCS.
There are safeguards to protect the user if the file is edited outside of RCS,
-and allows the user to get the RCS archive back up to date.
+and it allows the user to get the RCS archive back up to date.
-You can edit multiple programs at a time with something like:
- vic *.wc
+You can edit multiple programs at a time with something like: vic *.wc
The editor name is drawn from the environment variables $VISUAL, $EDITOR, or
(if all else fails) "vi".
Also included is a simple program, show.locks, which shows all of the files
from the current directory which are currently locked.
-
-If you have files locked, but not currently being edited, you may want to do:
- ci -u FILE
- chmod a-w FILE
diff --git a/development/vic/vic-0.08.patch b/development/vic/vic-0.08.patch
deleted file mode 100644
index 893eca92c0..0000000000
--- a/development/vic/vic-0.08.patch
+++ /dev/null
@@ -1,8 +0,0 @@
---- show.locks.std 2001-04-16 19:25:03.000000000 +0200
-+++ show.locks 2007-05-11 21:23:20.000000000 +0200
-@@ -1,4 +1,4 @@
--#!/usr/local/bin/perl -w
-+#!/usr/bin/perl -w
- #
- # show.locks
- #
diff --git a/development/vic/vic.SlackBuild b/development/vic/vic.SlackBuild
index 661eacb71c..fed0e646a3 100644
--- a/development/vic/vic.SlackBuild
+++ b/development/vic/vic.SlackBuild
@@ -1,50 +1,48 @@
#!/bin/sh
-# Slackware build script for vic
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+# Slackware build script for Vic
-# Exit on most errors
-set -e
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=vic
-VERSION=0.08
-ARCH=${ARCH:-noarch}
+VERSION=${VERSION:-0.08}
+ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# Patch the shebang lines
-cat $CWD/vic-0.08.patch | patch -p0
+# Fix the shebang lines
+sed -i 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' vic
+sed -i 's|#!/usr/local/bin/perl|#!/usr/bin/perl|' show.locks
-# Install the binaries
-install -m a=rx -D vic $PKG/usr/bin/vic
-install -m a=rx -D show.locks $PKG/usr/bin/show.locks
+install -D -m 0755 vic $PKG/usr/bin/vic
+install -D -m 0755 show.locks $PKG/usr/bin/show.locks
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
-cp -a index.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a index.html $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
-# Clean up the extra stuff
-if [ "$1" = "--cleanup" ]; then
- rm -rf $TMP/$PRGNAM-$VERSION
- rm -rf $PKG
-fi
-
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/vic/vic.info b/development/vic/vic.info
index b1630e38bf..938ae4dc38 100644
--- a/development/vic/vic.info
+++ b/development/vic/vic.info
@@ -1,8 +1,10 @@
PRGNAM="vic"
VERSION="0.08"
-HOMEPAGE="http://mordred.ao.com/vic/"
-DOWNLOAD="http://mordred.ao.com/vic/vic-0.08.tar.gz"
-MD5SUM="b6e2a4ccfa20bbaee2f716672b6dc248"
-MAINTAINER="Menno E. Duursma"
+HOMEPAGE="http://cornvalley.peak.org/vic/"
+DOWNLOAD="http://cornvalley.peak.org/vic/vic-0.08.tar.gz"
+MD5SUM="b219e45ca5340e21438215735389d8f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
APPROVED="rworkman"